## gnome-score

gnome-score

## Functions

gint | gnome_score_init ()
gint | gnome_score_log ()
gint | gnome_score_get_notable ()

## Includes

    #include <libgnome/libgnome.h>

## Description

## Functions

### gnome_score_init ()

    gint
    gnome_score_init (const gchar *gamename);

`gnome_score_init` is deprecated and should not be used in newly-written code.

GNOME games should call this routine as the first statement in `main()` if they have been installed setgid to the "games" group. It performs the intialization required to later record information in the scores table and then drops the groups privileges.

#### Parameters

gamename | Identifies the game name. |

#### Returns

`0` on success, returns `-1` on failure.

### gnome_score_log ()

    gint
    gnome_score_log (gfloat score,
                     const gchar *level,
                     gboolean higher_to_lower_score_order);

`gnome_score_log` is deprecated and should not be used in newly-written code.

Logs a score entry for the user. You should call this every time a game ends. This function takes care of working out whether the user's score made it into the ten best scores and, if so, records it in the table.

#### Parameters

score | The score achieved by the user in this game |
level | The level on which the score was obtained |
higher_to_lower_score_order | Set to `TRUE` if high scores are better than low scores. |

#### Returns

`0` on failure and the number of bytes written otherwise.

### gnome_score_get_notable ()

    gint
    gnome_score_get_notable (const gchar *gamename,
                             const gchar *level,
                             gchar ***names,
                             gfloat **scores,
                             time_t **scoretimes);

`gnome_score_get_notable` is deprecated and should not be used in newly-written code.

Fetches the most notable players on `gamename` at level `level` .

#### Parameters

gamename | The name of the game we want to fetch information from. |
level | The level for which we want to pull information. |
names | An array of strings is returned at the address pointed here |
scores | An array of gfloats is returned at the address pointed here |
scoretimes | An array of time_t is returned at the address pointed here |

#### Returns

The number of scores returned. The `names` , `scores` and `scoretime` pointers point to regions that were allocated with `g_malloc()` with the contents.

## Types and Values